Google maps embed not working in Google Apps block

Bug #1353759 reported by Kristina Hoeppner on 2014-08-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Robert Lyon
1.10
Medium
Robert Lyon
1.7
Medium
Robert Lyon
1.8
Medium
Robert Lyon
1.9
Medium
Robert Lyon

Bug Description

This is a follow-on from bug #1323495. Although just fixed, I can't embed a map via URL or embed code because my URL and embed code look different:

URL: https://www.google.com/maps/@37.509345,-121.9596665,12z

Embed:
<iframe src="https://www.google.com/maps/embed?pb=!1m14!1m12!1m3!1d101278.0640639198!2d-121.95966649999998!3d37.509345!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!5e0!3m2!1sen!2sus!4v1407372776473" width="600" height="450" frameborder="0" style="border:0"></iframe>

Short URL should also work:
https://goo.gl/maps/pZTiA

Tested on Mahara 1.9.2.

description: updated

Update: the iframe actually does work. So it's just the normal maps URL and the short URL that don't from above.

Robert Lyon (robertl-9) on 2014-08-07
Changed in mahara:
milestone: none → 1.10.0
assignee: nobody → Robert Lyon (robertl-9)
importance: Undecided → Medium
status: New → Confirmed
status: Confirmed → In Progress

Reviewed: https://reviews.mahara.org/3622
Committed: http://gitorious.org/mahara/mahara/commit/73b0ff0679d76bbd402238fd3b969ee403f191ff
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 73b0ff0679d76bbd402238fd3b969ee403f191ff
Author: Robert Lyon <email address hidden>
Date: Fri Aug 8 12:18:41 2014 +1200

More Google maps urls not working in Google Apps block (Bug #1353759)

Was not working for urls with @ latitutude,longitude, zoom eg:
https://www.google.com/maps/@37.509345,-121.9596665,12z

And not working for shorthand ulrs like https://goo.gl/maps/pZTiA

So I've added a check for the urls with @ latitutude,longitude, zoom
and turned them into an acceptible embed url. And for shorthand urls
I've added a generic function to fetch the url the short one resolves
to and so it can parse that one instead of the short url.

Change-Id: I3c76d2608e9708f1722e243cdc02a43f1885b815
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3658
Committed: http://gitorious.org/mahara/mahara/commit/c33851face64fccef872e1296b9fb8bd87d0854c
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.7_STABLE

commit c33851face64fccef872e1296b9fb8bd87d0854c
Author: Robert Lyon <email address hidden>
Date: Fri Aug 8 12:18:41 2014 +1200

More Google maps urls not working in Google Apps block (Bug #1353759)

Was not working for urls with @ latitutude,longitude, zoom eg:
https://www.google.com/maps/@37.509345,-121.9596665,12z

And not working for shorthand ulrs like https://goo.gl/maps/pZTiA

So I've added a check for the urls with @ latitutude,longitude, zoom
and turned them into an acceptible embed url. And for shorthand urls
I've added a generic function to fetch the url the short one resolves
to and so it can parse that one instead of the short url.

Change-Id: I3c76d2608e9708f1722e243cdc02a43f1885b815
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3657
Committed: http://gitorious.org/mahara/mahara/commit/dfc0711bb14645732e90c997e747b7ba1cb38b65
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.8_STABLE

commit dfc0711bb14645732e90c997e747b7ba1cb38b65
Author: Robert Lyon <email address hidden>
Date: Fri Aug 8 12:18:41 2014 +1200

More Google maps urls not working in Google Apps block (Bug #1353759)

Was not working for urls with @ latitutude,longitude, zoom eg:
https://www.google.com/maps/@37.509345,-121.9596665,12z

And not working for shorthand ulrs like https://goo.gl/maps/pZTiA

So I've added a check for the urls with @ latitutude,longitude, zoom
and turned them into an acceptible embed url. And for shorthand urls
I've added a generic function to fetch the url the short one resolves
to and so it can parse that one instead of the short url.

Change-Id: I3c76d2608e9708f1722e243cdc02a43f1885b815
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/3656
Committed: http://gitorious.org/mahara/mahara/commit/67efc2ddb841a9ca8446c42d32653b2c58d01b6d
Submitter: Robert Lyon (<email address hidden>)
Branch: 1.9_STABLE

commit 67efc2ddb841a9ca8446c42d32653b2c58d01b6d
Author: Robert Lyon <email address hidden>
Date: Fri Aug 8 12:18:41 2014 +1200

More Google maps urls not working in Google Apps block (Bug #1353759)

Was not working for urls with @ latitutude,longitude, zoom eg:
https://www.google.com/maps/@37.509345,-121.9596665,12z

And not working for shorthand ulrs like https://goo.gl/maps/pZTiA

So I've added a check for the urls with @ latitutude,longitude, zoom
and turned them into an acceptible embed url. And for shorthand urls
I've added a generic function to fetch the url the short one resolves
to and so it can parse that one instead of the short url.

Change-Id: I3c76d2608e9708f1722e243cdc02a43f1885b815
Signed-off-by: Robert Lyon <email address hidden>

Aaron Wells (u-aaronw) on 2014-10-20
Changed in mahara:
milestone: 1.10.0 → none
Aaron Wells (u-aaronw) on 2014-10-21
Changed in mahara:
status: Fix Committed → Fix Released
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers